package api.common.pojo.param.scene;

import lombok.*;

import java.io.Serializable;
import java.util.List;

/**
 * 场景评价规则
 *
 * @author lcy
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SceneEvaluationComputeParam implements Serializable {

    // 场景评价规则 id
    private String sceneEvaluationRuleId;
    private String linuxTempPath;
    private String bucketName;
    private String createUserId;
    private String vehicleId;
    private String algorithmId;
    private String taskId;
    private String computeType;
    private List<SceneEvaluationComputeSubParam> sceneEvaluationComputeSubParam;
}