package api.common.pojo.po.map;

import lombok.*;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * 多模式仿真
 */
@NoArgsConstructor
@AllArgsConstructor
@Getter
@Setter
@Accessors(chain = true)
public class SimulationMapPO implements Serializable {
    private String id;
    private String mapCode;
    private String mapName;
    private String mapJson;

    private String mapPath;

    private String mapOsgbPath;

    private String mapDescription;
    private String mapImgUrl;
    private Integer pathNum;
    private Integer deleted;

    private Timestamp createTime;
    private Timestamp updateTime;
}