package api.common.pojo.po.map;

import lombok.*;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * 多模式仿真
 */
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class SimulationMapPathPO implements Serializable {
    private String id;
    private String mapId;
    private Integer pathSort;
    private String pathDetail;

    private String pathStartPoint;

    private String pathEndPoint;
    private Integer startPointNum;
    private Integer endPointNum;
    private Integer deleted;

    private Timestamp createTime;
    private Timestamp updateTime;

}