package api.common.pojo.po.scene;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * 场景评分规则
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SceneEvaluationRulePO implements Serializable {


    // 场景评价规则 Id
    private String ruleId;
    // 场景评价规则 code
    private String ruleCode;
    // 场景评价规则名称
    private String ruleName;
    // 场景评价规则描述
    private String ruleDescription;
    // 场景评价规则类型
    private String ruleType;
    // 脚本名称
    private String scriptName;
    // 脚本路径
    private String scriptPath;
    // 是否重新上传文件
    private Boolean uploadNewFile;
    // 是否删除
    private String isDeleted;
    // 创建时间
    public Timestamp createTime;
    // 创建人
    public String createUserId;
    // 修改时间
    public Timestamp modifyTime;
    // 修改人
    public String modifyUserId;
    public String localPath;
    public String status;
    public String errorMsg;

}