package api.common.pojo.po.scene;

import lombok.*;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.List;

/**
 * 复杂度数据
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SceneRiskPO implements Serializable {
    private String riskId;
    private String sceneId;
    private String sceneType;
    private String ruleId;
    private String ruleName;
    private String algorithmId;
    private String algorithmName;
    private String vehicleId;
    private String vehicleName;
    private String taskId;
    private String risk;
    private String riskLevel;
    private String minRisk;
    private String maxRisk;
    private List<String> sceneIdList;
    private String isDeleted;
    public Timestamp createTime;
    /**
     * 记录创建人（用户id）
     */
    public String createUserId;
}