package api.common.pojo.vo.project;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * 多模式仿真
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class MultiSimulationSceneResultVO implements Serializable {
    private String id;

    private String projectId;

    private String sceneName;

    private String projectResultOverallUrl;

    private String projectResultSimulationUrl;

//    private Integer collisionTimes;
//
//    private Integer abnormalParkingTimes;
//
//    private Integer outOfPavementTimes;

    private String phrases;

    private List<MultiSimulationProjectResultVO> collisionDetail;

    private List<MultiSimulationProjectResultVO> abnormalParkingDetail;

    private List<MultiSimulationProjectResultVO> outOfPavementDetail;


}