package api.common.pojo.vo.project;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * 多模式仿真
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MultiSimulationSceneVO implements Serializable {
    private String id;
    private String projectId;

    private String sceneName;

    private String mapId;
    private Integer deleted;

    private String projectResultOverallUrl;
    private String projectResultSimulationUrl;

    private Timestamp createTime;
    private Timestamp updateTime;

    /**
     * ***********************************
     */
    private Integer carNums;

    private String sceneId;

    private String mapName;

    private String mapImgUrl;

    private Integer taskStatus;

}