package api.common.pojo.vo.scene;

import lombok.*;

import java.io.Serializable;

/**
 * 复杂度数据
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SceneComplexityVO implements Serializable {
    private String complexityId;
    private String sceneId;
    private String sceneType;
    private String ruleId;
    private String taskId;
    private String ruleName;
    private String complexity;
    private String complexityLevel;
}