package api.common.pojo.vo.scene;

import api.common.pojo.common.PageVO;
import lombok.*;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * 场景评价规则
 *
 * @author lcy
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SceneEvaluationRuleVO extends PageVO implements Serializable {

    // 场景评价规则 Id
    private String ruleId;
    // 场景评价规则 code
    private String ruleCode;
    // 场景评价规则名称
    private String ruleName;
    // 场景评价规则描述
    private String ruleDescription;
    // 场景评价规则类型
    private String ruleType;
    // 脚本名称
    private String scriptName;
    // 脚本路径
    private String scriptPath;
    // 是否删除
    private String isDeleted;
    // 创建时间
    public Timestamp createTime;
    // 创建人
    public String createUserId;

}