package api.common.pojo.vo.scene;

import lombok.*;

import java.io.Serializable;

/**
 * 复杂度数据
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SceneRiskVO implements Serializable {
    private String riskId;
    private String sceneId;
    private String sceneType;
    private String ruleId;
    private String ruleName;
    private String algorithmId;
    private String algorithmName;
    private String vehicleId;
    private String vehicleName;
    private String taskId;
    private String risk;
    private String riskLevel;
}