package com.css.simulation.resource.scheduler.app.entity;

import api.common.pojo.param.project.MultiSimulationSceneKafkaParam;
import com.css.simulation.resource.scheduler.adapter.entity.ProjectStartMessageEntity;
import com.css.simulation.resource.scheduler.infra.entity.MultiTaskMessageEntity;
import lombok.*;

import java.util.List;

@EqualsAndHashCode
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MultiProjectWaitQueueEntity {
//    private String waitingType; //1等待执行 2等待扩充
    private Integer waitingParallelism; // 等待扩充或执行的并行度

    /**
     * 执行到了哪一个
     */
    private Integer runState = -1;

    private String projectId;

    private List<MultiTaskMessageEntity> multiTaskMessageEntityList;

    private List<MultiSimulationSceneKafkaParam> kafkaParamList;
}
