package com.css.simulation.resource.scheduler.infra.db.mysql.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

@Mapper
public interface MultiSimulationSceneMapper {

    @Update("update multi_simulation_scene set project_result_csv_url = #{projectResultCsvUrl}, project_result_overall_url = #{projectResultOverallUrl}, project_result_simulation_url = #{projectResultSimulationUrl} where id = #{sceneId}")
    int updateSceneResultById(@Param("projectResultCsvUrl") String projectResultCsvUrl, @Param("projectResultOverallUrl") String projectResultOverallUrl,
                              @Param("projectResultSimulationUrl") String projectResultSimulationUrl, @Param("sceneId") String sceneId);
}
