package com.css.simulation.resource.scheduler.infra.db.mysql.mapper;

import api.common.pojo.po.scene.SceneEvaluationRulePO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;


@Mapper
public interface SceneEvaluationRuleMapper {

    @Select("select rule_id as ruleId, rule_name as ruleName, rule_type as ruleType, script_name as scriptName, script_path as scriptPath \n" +
            "from scene_evaluation_rule\n" +
            "where is_deleted = '0' AND rule_id =  #{ruleId} \n")
    SceneEvaluationRulePO querySceneEvaluationPyById(@Param("ruleId") String ruleId);

}
