package com.css.simulation.resource.scheduler.infra.db.mysql.mapper;

import api.common.pojo.po.scene.SceneRiskPO;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;


@Mapper
public interface SceneRiskMapper {

    @Insert("        insert into simulation.scene_risk\n" +
            "        (risk_id, scene_id, scene_type, rule_id,algorithm_id,vehicle_id,\n" +
            "         task_id, risk, risk_level,\n" +
            "         is_deleted, create_user_id, create_time\n" +
            "        )\n" +
            "        values (#{riskId,jdbcType=VARCHAR}, #{sceneId,jdbcType=VARCHAR}, #{sceneType,jdbcType=VARCHAR},\n" +
            "                #{ruleId,jdbcType=VARCHAR},#{algorithmId,jdbcType=VARCHAR},#{vehicleId,jdbcType=VARCHAR},\n" +
            "                #{taskId,jdbcType=VARCHAR}, #{risk,jdbcType=VARCHAR},\n" +
            "                #{riskLevel,jdbcType=VARCHAR},\n" +
            "                #{isDeleted,jdbcType=VARCHAR},\n" +
            "                #{createUserId,jdbcType=VARCHAR}, #{createTime})")
    void saveSceneRisk(SceneRiskPO params);

}
