package com.css.simulation.resource.server.infra.db.mysql.mapper;

import api.common.pojo.param.project.MultiSimulationProjectParam;
import api.common.pojo.param.project.MultiSimulationProjectResultParam;
import api.common.pojo.po.project.MultiSimulationProjectPO;
import api.common.pojo.vo.project.MultiSimulationProjectResultVO;
import api.common.pojo.vo.project.MultiSimulationProjectVO;
import org.apache.ibatis.annotations.*;

import java.util.List;

@Mapper
public interface MultiSimulationProjectResultMapper {
    @Select("<script>" +
        "select id,scene_id,abnormal_type,abnormal_time_description from multi_simulation_project_result where deleted = 0 " +
        "and scene_id = #{sceneId}" +
        "order by create_time desc" +
        "</script>")
    List<MultiSimulationProjectResultVO> selectProjectResultList(MultiSimulationProjectResultParam param);

}
