package api.common.pojo.constants;

/**
 * 工作相关常量
 */
public class ProjectConstants {

    //任务运行 Kafka推送主题
    public static final String RUN_TASK_TOPIC = "project";

    //任务终止，kafka推送主题
    public static final String STOP_TASK_TOPIC = "stopProject";//   manualProject-stop

    public static final String RUN_MULTI_TOPIC = "multiProject";

    public static final String STOP_MULTI_TOPIC = "stopMultiProject";

    //自动任务运行开始
//    public static final String AUTO_PROJECT = "autoProject";

    //自动任务运行中止
//    public static final String STOP_AUTO_PROJECT = "stopAutoProject";

    //任务运行状态字典
    public static final String TASK_RUN_STATE = "taskRunState";

    //任务运行结果状态
    public static final String TASK_RESULT_STATE = "taskResultState";

    //特殊分隔符
    public static final String SEPARATOR = "&%&%&";



}
