package api.common.pojo.param.scene;

import lombok.*;

import java.io.Serializable;
import java.util.List;

/**
 * 场景评价规则
 *
 * @author lcy
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SceneEvaluationComputeSubParam implements Serializable {

    // 场景评价规则 Id
    private String sceneId;
    private List<String> copySceneId;
    private String sceneXOSCPath;
    private String sceneXODRPath;
    private String sceneType;
    private String evaluationPath;
}