package api.common.pojo.param.scene;

import lombok.*;

import java.io.Serializable;
import java.util.List;

/**
 * 场景评价规则
 *
 * @author lcy
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SceneEvaluationScriptParam implements Serializable {

    // 场景评价类型列表
    private List<String> sceneEvaluationType;
}