package api.common.pojo.po.project;

import lombok.*;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * 多模式仿真
 */
@Getter
@Setter
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class MultiSimulationProjectTaskRecordPO implements Serializable {
    private String id;
    private String projectId;

    private String sceneId;

    private String taskBody;

    private Integer status;

    private Integer deleted;
    private Integer sort;

    private Timestamp createTime;
    private Timestamp updateTime;
}