package api.common.pojo.po.project;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * 多模式仿真
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MultiSimulationSceneCarPO implements Serializable {
    private String id;
    private String sceneId;

    private String carId;
    private String algorithmId;

    private Integer algorithmType;

    private String mapId;

    private String pathId;

    private String pathStart;

    private String pathEnd;

    private String pathStartPoint;

    private String pathEndPoint;

    private Integer carSort;

    private Integer deleted;

    private Integer isSimulationCar;

    private Timestamp createTime;
    private Timestamp updateTime;
}