package api.common.pojo.po.scene;

import lombok.*;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.List;

/**
 * 复杂度数据
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SceneComplexityPO implements Serializable {
    private List<String> sceneIdList;
    private String complexityId;
    private String sceneId;
    private String sceneType;
    private String ruleId;
    private String ruleName;
    private String taskId;
    private String complexity;
    private String complexityLevel;
    private String isDeleted;
    // 复杂度下限
    private String minComplexity;
    // 复杂度上限
    private String maxComplexity;
    public Timestamp createTime;
    /**
     * 记录创建人（用户id）
     */
    public String createUserId;
}