package api.common.pojo.vo.map;

import com.alibaba.fastjson.JSONObject;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.List;

/**
 * 多模式仿真
 */
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class SimulationMapPathVO implements Serializable {
    private String id;
    private String mapId;
    private Integer pathSort;
    private String pathDetail;

    private String pathStartPoint;

    private String pathEndPoint;
    private Integer startPointNum;
    private Integer endPointNum;
    private Integer deleted;

    private Timestamp createTime;
    private Timestamp updateTime;

    private List<JSONObject> startPoints;

    private List<JSONObject> endPoints;

    private List<JSONObject> sections;

}