package api.common.pojo.vo.map;

import api.common.pojo.po.map.SimulationMapPathPO;
import lombok.*;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.List;

/**
 * 多模式仿真
 */
@Getter
@Setter
public class SimulationMapVO implements Serializable {
    private String id;
    private String mapCode;
    private String mapName;
    private String mapJson;

    private String mapPath;

    private String mapOsgbPath;
    private String mapDescription;
    private String mapImgUrl;
    private Integer pathNum;
    private Integer deleted;

    private Timestamp createTime;
    private Timestamp updateTime;

    private String mapId;

    private Integer mapJsonPathNum;

    private List<SimulationMapPathVO> path;

}