package api.common.pojo.vo.project;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * 多模式仿真
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MultiSimulationProjectVO implements Serializable {
    private String id;
    private String projectKey;

    private String projectName;

    private String projectUserId;

    private String projectDescription;

    private Integer projectMaxSeconds;


    private Integer projectStatus;

//    private String projectResultOverallUrl;
//    private String projectResultSimulationUrl;

    private Integer deleted;

    private Timestamp createTime;
    private Timestamp updateTime;

    /**
     * ***********************************
     */
    private Integer sceneNums;

    private String projectStatusValue;

    private String projectId;
}