package api.common.pojo.vo.scene;

import api.common.pojo.common.PageVO;
import lombok.*;

import java.io.Serializable;

/**
 * 交通事故场景
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SceneAccidentVO extends PageVO implements Serializable {

    private String accidentId;              // （唯一）
    private String sceneName;  //场景名称
    private String selfDriving;  //自车驾驶行为
    private String targetDriving;  //目标驾驶行为
    private String selfReaction ; //自车反应行为
    private String conflictBehavior ; //冲突行为
    private String conflictType ; //冲突类型
    private String videoAddress ; //视频地址
    private String videoPreview;//视频预览地址
    private String label;//标签
    private String scenceResume ; //场景描述
    private String sceneTime ; //场景时间
    private String sceneWeather ; //天气
    private String maxTime ; //该场景仿真最大时长
    // 复杂度
    private String complexity;
    // 危险度
    private String risk;
    // 复杂度等级
    private String complexityLevel;
    // 危险度等级
    private String riskLevel;

}