package com.css.simulation.resource.scene.mapper;

import api.common.pojo.po.scene.SceneEvaluationRulePO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;


@Mapper
@Repository
public interface SceneEvaluationRuleMapper {

    void updateSceneEvaluationRule(SceneEvaluationRulePO params);

    @Select("SELECT rule_id, script_path FROM scene_evaluation_rule WHERE rule_id = #{id} AND is_deleted = '0'")
    SceneEvaluationRulePO querySceneEvaluationRuleById(@Param("id") String id);
}
