package com.css.simulation.resource.scheduler.adapter.controller;


import api.common.pojo.param.scene.SceneEvaluationComputeParam;
import com.css.simulation.resource.scheduler.domain.service.TaskDomainService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import javax.annotation.Resource;

@Controller
@Slf4j
@RequestMapping("/sceneEvaluation")
public class SceneEvaluationController {

    @Resource
    private TaskDomainService taskDomainService;

    @PostMapping("/computeSceneEvaluation")
    public void computeSceneEvaluation(@RequestBody SceneEvaluationComputeParam sceneEvaluationComputeParam) {
        taskDomainService.computeSceneEvaluation(sceneEvaluationComputeParam);
    }
}
