package com.css.simulation.resource.scheduler.adapter.entity;

import lombok.*;

/**
 * {
 * "algorithmId": "sadfasdfs", // 算法 id
 * "vehicleId": "sadfasdfs", // 车辆 id
 * "scenePackageId": "sadfasdfs", // 场景包 id
 * "ruleId": "uuid"  // 场景评价规则 id
 * "scriptPath": "/123/123/qqq.py"  // 场景评价脚本路径
 * "taskId": "uuid"  // 标准化测试 id
 * "ruleType": "1"  // 场景评价类型
 * }
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode
public class SceneEvaluationMessageEntity {

    // 算法 id 计算危险度用
    private String algorithmId;
    // 车辆配置 id 计算危险度用
    private String vehicleConfigId;
    // 场景包 id  计算复杂率用
    private String scenePackageId;
    // 场景评价规则 id
    private String ruleId;
    // 场景评价脚本路径
    private String scriptPath;
    // 标准化测试 id
    private String taskId;
    // 场景评价类型
    private String ruleType;


}
