package com.css.simulation.resource.scheduler.infra.db.mysql.mapper;

import api.common.pojo.param.project.MultiSimulationProjectResultParam;
import api.common.pojo.po.project.MultiSimulationProjectResultPO;
import api.common.pojo.vo.project.MultiSimulationProjectResultVO;
import org.apache.ibatis.annotations.*;

import java.util.List;

@Mapper
public interface MultiSimulationProjectResultMapper {
    @Insert("<script>" +
        "insert into multi_simulation_project_result (id,scene_id,project_id,abnormal_type,abnormal_time_description) values" +
        "(#{id},#{sceneId},#{projectId},#{abnormalType},#{abnormalTimeDescription})" +
        "</script>")
    int insertProjectResult(MultiSimulationProjectResultPO param);

    @Delete("delete from multi_simulation_project_result where project_id = #{projectId}")
    int deleteProjectResultByProjectId(@Param("projectId") String projectId);
}
