package com.css.simulation.resource.scheduler.infra.db.mysql.mapper;

import api.common.pojo.po.scene.SceneComplexityPO;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;


@Mapper
public interface SceneComplexityMapper {

    @Insert("        insert into simulation.scene_complexity\n" +
            "        (complexity_id, scene_id, scene_type, rule_id,\n" +
            "         task_id, complexity, complexity_level,\n" +
            "         is_deleted, create_user_id, create_time\n" +
            "        )\n" +
            "        values (#{complexityId,jdbcType=VARCHAR}, #{sceneId,jdbcType=VARCHAR}, #{sceneType,jdbcType=VARCHAR},\n" +
            "                #{ruleId,jdbcType=VARCHAR},\n" +
            "                #{taskId,jdbcType=VARCHAR}, #{complexity,jdbcType=VARCHAR},\n" +
            "                #{complexityLevel,jdbcType=VARCHAR},\n" +
            "                #{isDeleted,jdbcType=VARCHAR},\n" +
            "                #{createUserId,jdbcType=VARCHAR}, #{createTime})")
    void saveSceneComplexity(SceneComplexityPO params);

}
