package com.css.simulation.resource.scheduler.infra.db.mysql.mapper;

import api.common.pojo.param.map.SimulationMapParam;
import api.common.pojo.vo.map.SimulationMapVO;
import org.apache.ibatis.annotations.*;

@Mapper
public interface SimulationMapMapper {
    @Select("select id,path_num as pathNum,map_name as mapName,map_osgb_path as mapOsgbPath,map_path as mapPath,map_description mapDescription,create_time as createTime,deleted from simulation_map where id = #{mapId} and deleted = 0")
    SimulationMapVO selectMapByMapId(@Param("mapId") String mapId);

    @Update("update simulation_map set deleted = 1 where id = #{mapId}")
    int deleteMultiSimulationScene(SimulationMapParam param);



}
