package com.css.simulation.resource.server.infra.db.mysql.mapper;

import api.common.pojo.po.project.MultiSimulationProjectTaskRecordPO;
import org.apache.ibatis.annotations.*;

import java.util.List;

@Mapper
public interface MultiSimulationProjectTaskRecordMapper {

    @Select("select id,project_id,scene_id,status,task_body from multi_simulation_project_task_record where project_id = #{projectId} and deleted = 0")
    List<MultiSimulationProjectTaskRecordPO> selectMultiSimulationProjectTaskRecordList(@Param("projectId") String projectId);

}
